000010 IDENTIFICATION DIVISION.
000020 PROGRAM-ID. TESTPAN.
000030 DATE-COMPILED.
000040* ------------------------: GS General-purpose Test Program.
000050* 			: Use to test any GUI ScreenIO panel...
000060*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000070 ENVIRONMENT DIVISION.
000080*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000090 CONFIGURATION SECTION.
000100 SOURCE-COMPUTER. IBM-PC.
000110 OBJECT-COMPUTER. IBM-PC.
000120*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000130 DATA DIVISION.
000140*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000150 WORKING-STORAGE SECTION.
000160 01  V--VERSION-LEVEL		    PIC 9(3) VALUE 4.
000170*
000180* ------------------------: Copy a main panel (any will do)
000190	       COPY mymain.
000200*
000210* ------------------------: Copy the panel to be tested below.
000220	       COPY API-GV.
000230*
000240	       COPY WIN32API.
000250	       COPY GVERSION.
000260*
000270*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000280 PROCEDURE DIVISION.
000290*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000300*
000310	   PERFORM 0101-INITIALIZE-GS.
000320*
000330* ------------------------: Display the test panel.
000340*
000350	   PERFORM WITH TEST AFTER
000360		 UNTIL API-GV-EVENT-CLOSE-WINDOW
000370		 OR API-GV-EVENT-CLOSE-AND-STOP
000380*
000390* ------------------------: Call the API to obtain the OS version.
000400*
000410	     SET API-GETVERSIONEX TO TRUE
000420	     CALL 'GS_WINAPI' USING WIN32API-PARMS
000430				    GETVERSIONEX
000440				    WIN32API-B
000450				    WIN32API-C
000460				    WIN32API-D
000470				    WIN32API-E
000480				    WIN32API-F
000490*
000500	     MOVE GETVERSION-MAJORVERSION TO GV-MAJORVERSION
000510	     MOVE GETVERSION-MINORVERSION TO GV-MINORVERSION
000520	     MOVE GETVERSION-PLATFORMID TO GV-PLATFORMID
000530	     MOVE GETVERSION-TEXT TO GV-TEXT
000540*
000550	     EVALUATE TRUE
000560*
000570	       WHEN PLATFORM-WINNT
000580		 MOVE GETVERSION-BUILDNUMBER TO GV-BUILDNUMBER
000590		 EVALUATE GETVERSION-MAJORVERSION
000600		   WHEN 3
000610		     MOVE 'Windows NT 3.x' TO GV-PLATFORMID-TEXT
000620		   WHEN 4
000630		     MOVE 'Windows NT 4.x' TO GV-PLATFORMID-TEXT
000640		   WHEN 5
000650		     MOVE 'Windows 2000' TO GV-PLATFORMID-TEXT
000660		   WHEN OTHER
000670		     MOVE 'Unknown Windows NT' TO GV-PLATFORMID-TEXT
000680		 END-EVALUATE
000690*
000700	       WHEN PLATFORM-WIN9X
000710		 MOVE GETVERSION-WIN9X-BUILDNUMBER TO GV-BUILDNUMBER
000720		 MOVE GETVERSION-WIN9X-VERSION TO GV-WIN9X-VERSION
000730		 EVALUATE GETVERSION-MINORVERSION
000740		   WHEN 0
000750		     MOVE 'Windows 95' TO GV-PLATFORMID-TEXT
000760		   WHEN OTHER
000770		     IF WIN9X-VERSION-WINME
000780		       MOVE 'Windows Me' TO GV-PLATFORMID-TEXT
000790		     ELSE
000810			 MOVE 'Windows 98' TO GV-PLATFORMID-TEXT
000850		     END-IF
000860		 END-EVALUATE
000870*
000880	       WHEN OTHER
000890		 MOVE 'Unknown Windows version' TO GV-PLATFORMID-TEXT
000900*
000910	     END-EVALUATE
000920*
000930* ------------------------: If function failed,
000940* 			:   display a textual error message.
000950*
000960	     IF WIN32API-FAILED
000970	       MOVE WIN32API-ERROR-TEXT TO API-GV-MESSAGE-TEXT
000980	       SET API-GV-MESSAGE-BAR-BEEP TO TRUE
000990	     END-IF
001000*
001010	     CALL 'GS' USING API-GV-1
001020			     API-GV-2
001030			     API-GV-3
001040			     API-GV-4
001050*
001060	   END-PERFORM.
001070*
001080* ------------------------: Close the main before doing a STOP RUN
001090*
001100	   SET mymain-DO-CLOSE TO TRUE.
001110	   CALL 'GS' USING mymain-1
001120			   mymain-2
001130			   mymain-3
001140			   mymain-4.
001150	   STOP RUN.
001160*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
001170 0100-GS-UTILITY SECTION.
001180*
001190 0101-INITIALIZE-GS.
001200* 			:---------------------------------------
001210* ------------------------: Open the application window (the
001220* 			: container for this application)
001230* 			:---------------------------------------
001240*
001250	   CALL 'GS' USING mymain-1
001260			   mymain-2
001270			   mymain-3
001280			   mymain-4.
